package com.pcloud.book.guide.mapper;

import com.pcloud.book.guide.entity.PcloudWakeupMessage;
import com.pcloud.book.guide.vo.ClassifyInfoVO;
import com.pcloud.book.guide.vo.RobotWakeUpMsgVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudWakeupMessageMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PcloudWakeupMessage record);

    int insertSelective(PcloudWakeupMessage record);

    PcloudWakeupMessage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudWakeupMessage record);

    int updateByPrimaryKey(PcloudWakeupMessage record);

    void deleteAll();

    List<PcloudWakeupMessage> selectAll();

    List<Integer> getAllClassifyInfo();

    Integer countAll();
}